### Hierarchy

- AddrRecord

## Index

### Constructors

- constructor

### Properties

- data
- sig

## Constructors

### constructor

- new AddrRecord(data?: string, sig?: string): AddrRecord

- - Defined in utils/types/BaseTypes.ts:15

  #### Parameters

  - ##### Optional data: string

  - ##### Optional sig: string

  #### Returns AddrRecord

## Properties

### data

data: string

- Defined in utils/types/BaseTypes.ts:14

### sig

sig: string

- Defined in utils/types/BaseTypes.ts:15

Generated using TypeDoc